package com.ruoyi.interfaces.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.interfaces.mapper.MdDataSetFileMapper;
import com.ruoyi.interfaces.domain.MdDataSetFile;
import com.ruoyi.interfaces.service.IMdDataSetFileService;

/**
 * 文件数据集Service业务层处理
 * 
 * @author 朱得糠
 * @date 2025-09-02
 */
@Service
public class MdDataSetFileServiceImpl implements IMdDataSetFileService 
{
    @Autowired
    private MdDataSetFileMapper mdDataSetFileMapper;

    /**
     * 查询文件数据集
     * 
     * @param id 文件数据集主键
     * @return 文件数据集
     */
    @Override
    public MdDataSetFile selectMdDataSetFileByDcCode(String id)
    {
        return mdDataSetFileMapper.selectMdDataSetFileByDcCode(id);
    }

    /**
     * 查询文件数据集列表
     * 
     * @param mdDataSetFile 文件数据集
     * @return 文件数据集
     */
    @Override
    public List<MdDataSetFile> selectMdDataSetFileList(MdDataSetFile mdDataSetFile)
    {
        return mdDataSetFileMapper.selectMdDataSetFileList(mdDataSetFile);
    }

    /**
     * 新增文件数据集
     * 
     * @param mdDataSetFile 文件数据集
     * @return 结果
     */
    @Override
    public int insertMdDataSetFile(MdDataSetFile mdDataSetFile)
    {
        return mdDataSetFileMapper.insertMdDataSetFile(mdDataSetFile);
    }

    /**
     * 修改文件数据集
     * 
     * @param mdDataSetFile 文件数据集
     * @return 结果
     */
    @Override
    public int updateMdDataSetFile(MdDataSetFile mdDataSetFile)
    {
        return mdDataSetFileMapper.updateMdDataSetFile(mdDataSetFile);
    }

    /**
     * 批量删除文件数据集
     * 
     * @param ids 需要删除的文件数据集主键
     * @return 结果
     */
    @Override
    public int deleteMdDataSetFileByIds(Long[] ids)
    {
        return mdDataSetFileMapper.deleteMdDataSetFileByIds(ids);
    }

    /**
     * 删除文件数据集信息
     * 
     * @param id 文件数据集主键
     * @return 结果
     */
    @Override
    public int deleteMdDataSetFileById(Long id)
    {
        return mdDataSetFileMapper.deleteMdDataSetFileById(id);
    }

    @Override
    public int deleteMdDataSetFileByDcCode(String dcCode) {

        return mdDataSetFileMapper.deleteMdDataSetFileByDcCode(dcCode);
    }
}
